# $Revision: 1.40 $, $Date: 2006/05/11 22:18:10 $
# TODO: use browser-plugins framework for signer plugin
Summary:	OpenSC library - for accessing SmartCard devices using PC/SC Lite
Summary(pl):	Biblioteka OpenSC - do korzystania z kart procesorowych przy uyciu PC/SC Lite
Name:		opensc
Version:	0.11.0
Release:	1
Epoch:		0
License:	LGPL
Group:		Applications
Source0:	http://www.opensc-project.org/files/opensc/%{name}-%{version}.tar.gz
# Source0-md5:	be9cced6c703253baf78ccd9970679fa
Patch0:		%{name}-explorer-debug.patch
Patch1:		%{name}-libassuan.patch
URL:		http://www.opensc-project.org/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	libassuan-devel >= 1:0.6.0
BuildRequires:	libltdl-devel
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	openldap-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	openct-devel
BuildRequires:	pcsc-lite-devel
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	readline-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# datadir is used for config files and (editable) profiles
%define		_datadir	/etc
%define		_sysconfdir	/etc/opensc
%define		mozplugindir	/usr/%{_lib}/mozilla/plugins

%description
libopensc is a library for accessing SmartCard devices using PC/SC
Lite middleware package. It is also the core library of the OpenSC
project. Basic functionality (e.g. SELECT FILE, READ BINARY) should
work on any ISO 7816-4 compatible SmartCard. Encryption and decryption
using private keys on the SmartCard is at the moment possible only
with PKCS#15 compatible cards, such as the FINEID (Finnish Electronic
IDentity) card manufactured by Setec.

%description -l pl
libopensc to biblioteka do korzystania z kart procesorowych przy
uyciu pakietu warstwy poredniej PC/SC Lite. Jest to take podstawowa
biblioteka projektu OpenSC. Podstawowa funkcjonalno (np. SELECT
FILE, READ BINARY) powinna dziaa take z dowoln kart procesorow
zgodn z ISO-7816-4. Szyfrowanie i odszyfrowywanie przy uyciu
prywatnych kluczy na karcie na razie jest moliwe tylko przy uyciu
kart kompatybilnych z PKCS#16, takich jak FINEID (Finnish Electronic
IDentity) produkowanych przez Setec.

%package devel
Summary:	OpenSC development files
Summary(pl):	Pliki dla programistw uywajcych OpenSC
Group:		Development/Tools
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libltdl-devel
Requires:	openct-devel
Requires:	openssl-devel
Requires:	pcsc-lite-devel

%description devel
OpenSC development files.

%description devel -l pl
Pliki dla programistw uywajcych OpenSC.

%package static
Summary:	Static OpenSC libraries
Summary(pl):	Bibloteki statyczne OpenSC
Group:		Development/Tools
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static OpenSC libraries.

%description static -l pl
Statyczne biblioteki OpenSC.

%package -n mozilla-plugin-opensc
Summary:	OpenSC Signer plugin for Mozilla
Summary(pl):	Wtyczka OpenSC Signer dla Mozilli
Group:		X11/Applications
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	pinentry-gtk

%description -n mozilla-plugin-opensc
OpenSC Signer plugin for Mozilla.

%description -n mozilla-plugin-opensc -l pl
Wtyczka OpenSC Signer dla Mozilli.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I aclocal
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-pin-entry=/usr/bin/pinentry-gtk \
	--with-plugin-dir="%{mozplugindir}"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{mozplugindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# just install instead of symlinking
rm -f $RPM_BUILD_ROOT%{mozplugindir}/opensc-signer.so
mv -f $RPM_BUILD_ROOT%{_libdir}/opensc-signer.so $RPM_BUILD_ROOT%{mozplugindir}

# default config
install etc/opensc.conf $RPM_BUILD_ROOT%{_sysconfdir}

# useless (dlopened by *.so)
rm -f $RPM_BUILD_ROOT%{_libdir}/{opensc,pkcs11}-*.{a,la} \
	$RPM_BUILD_ROOT%{_libdir}/opensc/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS README doc/ChangeLog doc/{*.{html,css},html/tools.html}
%attr(755,root,root) %{_bindir}/cardos-info
%attr(755,root,root) %{_bindir}/cryptoflex-tool
%attr(755,root,root) %{_bindir}/eidenv
%attr(755,root,root) %{_bindir}/netkey-tool
%attr(755,root,root) %{_bindir}/opensc-explorer
%attr(755,root,root) %{_bindir}/opensc-tool
%attr(755,root,root) %{_bindir}/piv-tool
%attr(755,root,root) %{_bindir}/pkcs11-tool
%attr(755,root,root) %{_bindir}/pkcs15-*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %{_libdir}/opensc-pkcs11.so
%attr(755,root,root) %{_libdir}/pkcs11-spy.so
%dir %{_datadir}/opensc
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.conf
%config(noreplace) %verify(not md5 mtime size) %{_datadir}/opensc/*.profile
%{_mandir}/man1/cardos-info.1*
%{_mandir}/man1/cryptoflex-tool.1*
%{_mandir}/man1/netkey-tool.1*
%{_mandir}/man1/opensc-explorer.1*
%{_mandir}/man1/opensc-tool.1*
%{_mandir}/man1/pkcs11-tool.1*
%{_mandir}/man1/pkcs15-*.1*
%{_mandir}/man[57]/*

%files devel
%defattr(644,root,root,755)
%doc doc/html/api.html
%attr(755,root,root) %{_bindir}/opensc-config
%attr(755,root,root) %{_libdir}/libopensc.so
%attr(755,root,root) %{_libdir}/libpkcs15init.so
%attr(755,root,root) %{_libdir}/libscconf.so
%{_libdir}/libopensc.la
%{_libdir}/libpkcs15init.la
%{_libdir}/libscconf.la
%{_includedir}/opensc
%{_pkgconfigdir}/*.pc
%{_mandir}/man1/opensc-config.1*
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libopensc.a
%{_libdir}/libpkcs15init.a
%{_libdir}/libscconf.a

%files -n mozilla-plugin-opensc
%defattr(644,root,root,755)
%attr(755,root,root) %{mozplugindir}/opensc-signer.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: opensc.spec,v $
Revision 1.40  2006/05/11 22:18:10  qboosh
- added todo

Revision 1.39  2006/05/10 13:36:38  qboosh
- updated to 0.11.0

Revision 1.38  2006/03/21 08:49:30  qboosh
- updated URLs

Revision 1.37  2006/01/09 10:11:59  qboosh
- updated to 0.10.1
- -devel R: libltdl-devel

Revision 1.36  2005/11/07 13:32:16  qboosh
- updated to 0.10.0 (note: new soname, engines and pam module separated)
- removed obsolete libdir,segv,gcc4 patches, updated explorer-debug patch
- added libassuan patch (fixes signer linking)

Revision 1.35  2005/09/17 11:55:06  arekm
- new readline, 5.0

Revision 1.34  2005/07/28 14:04:29  adamg
- release 2 (rebuild with new openct)

Revision 1.33  2005/04/28 15:57:02  witekfl
- added gcc4.patch

Revision 1.32  2005/04/26 19:26:07  qboosh
- updated to 0.9.6, removed obsolete shared-ssl patch

Revision 1.31  2005/03/29 16:24:40  havner
- rel 2, rebuild with splitted openct (autoreqdep)

Revision 1.30  2004/12/10 11:54:11  qboosh
- pkgconfig >= 0.9.0

Revision 1.29  2004/12/10 11:52:39  qboosh
- BR: pkgconfig

Revision 1.28  2004/11/04 11:07:48  qboosh
- merged DEVEL branch, updated to 0.9.4 (stable they say)

Revision 1.27.2.2  2004/08/24 12:55:57  qboosh
- added explorer-debug,emv patches

Revision 1.27.2.1  2004/08/02 13:01:57  qboosh
- updated to 0.9.2 (beta)

Revision 1.27  2004/08/02 12:35:45  qboosh
- added atr patch; libassuan is LGPL now - updated mozilla-plugin- license

Revision 1.26  2004/07/29 22:52:52  qboosh
- release 5

Revision 1.25  2004/07/21 11:09:29  qboosh
- changed opensc-pkcs11 location (in libdir patch), added segv patch

Revision 1.24  2004/06/22 15:35:01  qboosh
- search for config files in proper place

Revision 1.23  2004/06/22 15:06:15  qboosh
- fixed libdirs (to be lib64-aware)

Revision 1.22  2004/04/06 04:59:41  adamg
- release 4 to rebuild with new ldap

Revision 1.21  2004/03/19 23:46:31  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.20  2004/02/07 10:41:26  qboosh
- added missing libpkcs11.so symlink, epoch and release to deps
- -devel R: openct-devel,openssl-devel,pcsc-lite-devel
- release 3

Revision 1.19  2003/11/25 15:41:44  siefca
- added Obsoletes tag to pam-pam_opensc subpackage

Revision 1.18  2003/11/25 14:47:59  siefca
- leaded common naming conventions for PAM module packages
- release 2

Revision 1.17  2003/10/08 12:33:30  qboosh
- added shared-ssl patch to build engines w/o openssl-static
- I guess engines require openssl 0.9.7

Revision 1.16  2003/10/08 11:02:54  wiget
- updated to 0.8.1

Revision 1.15  2003/08/21 12:10:09  qboosh
- patched for libassuan 0.6.0

Revision 1.14  2003/08/21 11:48:56  qboosh
- 0.8.0, updated nolibs patch, removed obsolete patches
- added libdir patch, updates files list

Revision 1.13  2003/07/29 14:51:52  adgor
- Typo

Revision 1.12  2003/05/28 13:00:06  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 05:51:26  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/04/23 09:09:22  qboosh
- added pkcs15init-help patch (fix for pkcs15-init help)
- moved config and profile files to /etc
- release 2

Revision 1.9  2003/03/14 15:50:35  qboosh
- fixed -devel dependency

Revision 1.8  2003/03/14 14:30:10  qboosh
- added cryptoflex patch (CryptoFlex 8k v2 support)
- added mozilla plugin (signer)

Revision 1.7  2003/03/12 11:13:58  qboosh
- nest support

Revision 1.6  2003/03/11 18:08:25  wiget
- remove libtools macros from acinclude.m4

Revision 1.5  2003/03/11 17:08:19  qboosh
- added fix for SEGV

Revision 1.4  2003/03/11 13:12:19  qboosh
- added nolibs patch - -lresolv is not necessary

Revision 1.3  2003/03/10 20:22:49  qboosh
- ac >= 2.52

Revision 1.2  2003/03/10 16:10:29  qboosh
- some work - builds now

Revision 1.1  2002/12/18 22:34:06  hunter
-NYF!
